public class QueueByAggregation<T> {
  private LinkedList<T> qList;

  // Constructor
  QueueByAggregation() {
    qList = new LinkedList<>();
  }

  // Methods
  public boolean isEmpty() {
    return qList.isEmpty();
  }

  public void enqueue(T item) {
    qList.insertAtTail(item);
  }

  public T dequeue() {
    if (qList.isEmpty())
      return null;
    return qList.removeFromHead();
  }

  public T peek() {
    return (qList.isEmpty() ? null : qList.first().getData());
  }
}