class QueueByInheritance<E> extends LinkedList<E> {

  public void enqueue(E data) {                 // (1)
    insertAtTail(data);
  }

  public E dequeue() {                          // (2)
    if (empty())
      return null;
    return removeFromHead();
  }

  public E peek() {                             // (3)
    if (empty())
      return null;
    return first().getData();
  }

  public boolean empty() {                      // (4)
    return isEmpty();
  }
}