import java.util.Iterator;
/**
 * Iterator for linked lists
 */
public class LinkedListIterator<E> implements Iterator<E> {
  private Node<E> currentNode;

  public LinkedListIterator(ILinkedList<E> list) {
    currentNode = list.first();
  }

  public boolean hasNext() {
    return currentNode != null;
  }

  public E next() {
    E data = currentNode.getData();
    currentNode = currentNode.getNext();
    return data;
  }

  public void remove() {
    throw new UnsupportedOperationException();
  }
}